| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
globjects::VertexAttributeBinding Class Reference

`#include <globjects/include/globjects/VertexAttributeBinding.h>`

Inheritance diagram for globjects::VertexAttributeBinding:

## Public Member Functions
| VertexAttributeBinding (VertexArray *vao, const gl::GLint bindingIndex)
const VertexArray * | vao () const
VertexArray * | vao ()
void | setDivisor (gl::GLint divisor)
void | setAttribute (gl::GLint attributeIndex)
gl::GLint | attributeIndex () const
gl::GLint | bindingIndex () const
const Buffer * | buffer () const
void | setBuffer (const Buffer *vbo, gl::GLint baseoffset, gl::GLint stride)
void | setFormat (gl::GLint size, gl::GLenum type, gl::GLboolean normalized=gl::GL_FALSE, gl::GLuint relativeoffset=0)
void | setIFormat (gl::GLint size, gl::GLenum type, gl::GLuint relativeoffset=0)
void | setLFormat (gl::GLint size, gl::GLenum type, gl::GLuint relativeoffset=0)
void | setValue (gl::GLboolean value)
void | setValue (gl::GLbyte value)
void | setValue (gl::GLshort value)
void | setValue (gl::GLint value)
void | setValue (gl::GLint64 value)
void | setValue (gl::GLfloat value)
void | setValue (gl::GLdouble value)
void | setValue (const glm::bvec2 &value)
void | setValue (const glm::ivec2 &value)
void | setValue (const glm::vec2 &value)
void | setValue (const glm::dvec2 &value)
void | setValue (const glm::bvec3 &value)
void | setValue (const glm::ivec3 &value)
void | setValue (const glm::vec3 &value)
void | setValue (const glm::dvec3 &value)
void | setValue (const glm::bvec4 &value)
void | setValue (const glm::ivec4 &value)
void | setValue (const glm::vec4 &value)
void | setValue (const glm::dvec4 &value)
void | setValue (const glm::mat2 &value)
void | setValue (const glm::mat3 &value)
void | setValue (const glm::mat4 &value)
void | setValue (const glm::dmat2 &value)
void | setValue (const glm::dmat3 &value)
void | setValue (const glm::dmat4 &value)
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Protected Member Functions
virtual | ~VertexAttributeBinding ()
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Protected Attributes
VertexArray * | m_vao
gl::GLint | m_bindingIndex
gl::GLint | m_attributeIndex
const Buffer * | m_vbo
void * | m_bindingData

## Friends
class | AbstractVertexAttributeBindingImplementation

## Constructor & Destructor Documentation

## ◆ VertexAttributeBinding()

globjects::VertexAttributeBinding::VertexAttributeBinding | ( | VertexArray * | vao,
|  | const gl::GLint | bindingIndex
| ) |  |

## ◆ ~VertexAttributeBinding()

virtual globjects::VertexAttributeBinding::~VertexAttributeBinding | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ vao() [1/2]

const VertexArray* globjects::VertexAttributeBinding::vao | ( |  | ) | const

## ◆ vao() [2/2]

VertexArray* globjects::VertexAttributeBinding::vao | ( |  | ) |

## ◆ setDivisor()

void globjects::VertexAttributeBinding::setDivisor | ( | gl::GLint | divisor | ) |

## ◆ setAttribute()

void globjects::VertexAttributeBinding::setAttribute | ( | gl::GLint | attributeIndex | ) |

## ◆ attributeIndex()

gl::GLint globjects::VertexAttributeBinding::attributeIndex | ( |  | ) | const

## ◆ bindingIndex()

gl::GLint globjects::VertexAttributeBinding::bindingIndex | ( |  | ) | const

## ◆ buffer()

const Buffer* globjects::VertexAttributeBinding::buffer | ( |  | ) | const

For VertexAttribPointer

## ◆ setBuffer()

void globjects::VertexAttributeBinding::setBuffer | ( | const Buffer * | vbo,
|  | gl::GLint | baseoffset,
|  | gl::GLint | stride
| ) |  |

## ◆ setFormat()

void globjects::VertexAttributeBinding::setFormat | ( | gl::GLint | size,
|  | gl::GLenum | type,
|  | gl::GLboolean | normalized = `gl::GL_FALSE`,
|  | gl::GLuint | relativeoffset = `0`
| ) |  |

## ◆ setIFormat()

void globjects::VertexAttributeBinding::setIFormat | ( | gl::GLint | size,
|  | gl::GLenum | type,
|  | gl::GLuint | relativeoffset = `0`
| ) |  |

## ◆ setLFormat()

void globjects::VertexAttributeBinding::setLFormat | ( | gl::GLint | size,
|  | gl::GLenum | type,
|  | gl::GLuint | relativeoffset = `0`
| ) |  |

## ◆ setValue() [1/25]

void globjects::VertexAttributeBinding::setValue | ( | gl::GLboolean | value | ) |

For VertexAttrib

## ◆ setValue() [2/25]

void globjects::VertexAttributeBinding::setValue | ( | gl::GLbyte | value | ) |

## ◆ setValue() [3/25]

void globjects::VertexAttributeBinding::setValue | ( | gl::GLshort | value | ) |

## ◆ setValue() [4/25]

void globjects::VertexAttributeBinding::setValue | ( | gl::GLint | value | ) |

## ◆ setValue() [5/25]

void globjects::VertexAttributeBinding::setValue | ( | gl::GLint64 | value | ) |

## ◆ setValue() [6/25]

void globjects::VertexAttributeBinding::setValue | ( | gl::GLfloat | value | ) |

## ◆ setValue() [7/25]

void globjects::VertexAttributeBinding::setValue | ( | gl::GLdouble | value | ) |

## ◆ setValue() [8/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::bvec2 & | value | ) |

## ◆ setValue() [9/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::ivec2 & | value | ) |

## ◆ setValue() [10/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::vec2 & | value | ) |

## ◆ setValue() [11/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::dvec2 & | value | ) |

## ◆ setValue() [12/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::bvec3 & | value | ) |

## ◆ setValue() [13/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::ivec3 & | value | ) |

## ◆ setValue() [14/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::vec3 & | value | ) |

## ◆ setValue() [15/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::dvec3 & | value | ) |

## ◆ setValue() [16/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::bvec4 & | value | ) |

## ◆ setValue() [17/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::ivec4 & | value | ) |

## ◆ setValue() [18/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::vec4 & | value | ) |

## ◆ setValue() [19/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::dvec4 & | value | ) |

## ◆ setValue() [20/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::mat2 & | value | ) |

## ◆ setValue() [21/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::mat3 & | value | ) |

## ◆ setValue() [22/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::mat4 & | value | ) |

## ◆ setValue() [23/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::dmat2 & | value | ) |

## ◆ setValue() [24/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::dmat3 & | value | ) |

## ◆ setValue() [25/25]

void globjects::VertexAttributeBinding::setValue | ( | const glm::dmat4 & | value | ) |

## Friends And Related Function Documentation

## ◆ AbstractVertexAttributeBindingImplementation

friend class AbstractVertexAttributeBindingImplementation
| friend

## Member Data Documentation

## ◆ m_vao

VertexArray* globjects::VertexAttributeBinding::m_vao
| protected

## ◆ m_bindingIndex

gl::GLint globjects::VertexAttributeBinding::m_bindingIndex
| protected

## ◆ m_attributeIndex

gl::GLint globjects::VertexAttributeBinding::m_attributeIndex
| protected

## ◆ m_vbo

const Buffer* globjects::VertexAttributeBinding::m_vbo
| protected

## ◆ m_bindingData

void* globjects::VertexAttributeBinding::m_bindingData
| mutable protected

The documentation for this class was generated from the following file:

- VertexAttributeBinding.h